Skip to main content
GET
/
audits
/
{auditId}
/
information-requests
/
{requestId}
/
activity
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listInformationRequestActivity({
    auditId: "<id>",
    requestId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "data": [
      {
        "id": "6650a7d13680f3b61a0cd3c1",
        "activityType": "CHANGE_STATUS",
        "timestamp": "2024-05-05T12:00:00.000Z",
        "userEmail": "user@example.com",
        "oldStatus": "NEEDS_EVIDENCE",
        "newStatus": "READY_FOR_AUDIT",
        "reason": "Status updated after review"
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "NjY1MGE3ZDEzNjgwZjNiNjFhMGNkM2Mx",
      "endCursor": "NjY1MGE3ZDEzNjgwZjNiNjFhMGNkM2Mx"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required
requestId
string
required

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of activity entries to return per page. Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from a previous response. Provide to fetch the next page of activity logs. A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

changedSinceDate
string<date-time>

Includes activity logs that have changed since changedSinceDate.

Response

200 - application/json

Ok

results
object
required